---
layout: default
---

{%- include read-time-page.html -%}

<article class="post h-entry" itemscope itemtype="http://schema.org/BlogPosting">

  <header class="post-header">
    {% if page.categories %}
      {% for category in page.categories %}
        <a href="/{{ category | downcase }}/">{{ category | replace: '-',' ' }}</a>
      {% endfor %}
    {% endif %}
    <h1 class="post-title p-name" itemprop="name headline">{{ page.title | escape }}</h1>
    <p class="post-meta">
      {%- if page.author -%}
        {% assign author = site.data.authors[page.author] %}
        <span itemprop="author" itemscope itemtype="http://schema.org/Person"><span class="p-author h-card"
            itemprop="name">{{ author.name }}</span></span><br/>
      {%- endif -%}
      <time class="dt-published" datetime="{{ page.date | date_to_xmlschema }}" itemprop="datePublished">
        {%- assign date_format = site.minima.date_format | default: "%b %-d, %Y" -%}
        {{ page.date | date: date_format }} ~ {{ reading_time }}
      </time>
    </p>
  </header>

  <div class="post-content e-content" itemprop="articleBody">
    {{ content }}
  </div>

  {%- if site.disqus.shortname -%}
    {%- include disqus_comments.html -%}
  {%- endif -%}

  <a class="u-url" href="{{ page.url | relative_url }}" hidden></a>
</article>
